#ifdef GL_ES
precision mediump float;
#endif

uniform vec2 u_resolution;
uniform vec2 u_screenSize;
uniform vec4 u_mainColor;

#ifdef GL_ES
varying lowp vec4 v_position;
#else
varying vec4 v_position;
#endif

//https://www.iquilezles.org/www/articles/distfunctions2d/distfunctions2d.htm
float sdCircle(vec2 p, float r)
{
    return length(p) - r;
}

void main(void) {
    vec2 fragCoord = v_position.xy;
    vec2 location = u_resolution.xy/2.0;
    
    float radius = u_resolution.x*0.5;
    
    vec2 pos = fragCoord.xy - location;
    float dis = sdCircle(pos, radius);
    
    float alpha =  1.0 - step(0.0, dis);
    
    // Return the resultant shape.
    gl_FragColor = u_mainColor*alpha;
}
